CANVAS_SET_ATTRIBUTES(3)

FUNCTION
canvas_set_attributes - Set canvas attributes.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_set_attributes

(KWorldCanvas canvas, ...)

DESCRIPTION
Set canvas attributes.

canvas
    The world canvas.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. The list must be terminated with CANVAS_ATT_END. See <-canvas_ATTRIBUTES-> for the list of attributes.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/